local t = Def.ActorFrame {
	-- black backdrop
	Def.Sprite {
		OnCommand=cmd(LoadFromCurrentSongBackground;diffuse,0,0,0,1;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;scale_or_crop_background;effectclock,"music";);
	};
	
	-- background for add-blend drop
	Def.Sprite {
		OnCommand=cmd(LoadFromCurrentSongBackground;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;scale_or_crop_background;diffusealpha,1;sleep,6.058;linear,0.477;diffusealpha,0;sleep,1;diffusealpha,0;);
	};
	
	-- add-blend transition
	LoadActor("smw-serial-bg-borealis.png") .. {
		OnCommand=cmd(diffusealpha,0;blend,Blend.Add;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;scale_or_crop_background;accelerate,6.058;diffusealpha,1;linear,0.477;diffusealpha,0;sleep,1;diffusealpha,0;);
	};
	
	-- borealis background
	LoadActor("smw-serial-bg-borealis.png") .. {
		OnCommand=cmd(diffusealpha,0;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;scale_or_crop_background;sleep,6.058;linear,0.477;diffusealpha,1;sleep,1;diffusealpha,0;);
	};
	
	-- borealis overlay part 1 (glowshifts)
	LoadActor("borealis.png") .. {
		OnCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;scale_or_crop_background;diffusealpha,0;sleep,6.058;linear,0.477;diffusealpha,1;glowshift;effectcolor1,0,1,0,0.2;effectcolor2,0.8,0.8,1,0.1;effectperiod,4.616;sleep,36.923;linear,1;diffusealpha,0;);
	};
	
	-- borealis overlay part 2
	LoadActor("borealis.png") .. {
		OnCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;scale_or_crop_background;diffusealpha,0;sleep,6.058;sleep,0.477;sleep,36.923;linear,1;diffusealpha,0.1;sleep,55.385;linear,1;diffusealpha,0.5;);
	};
	
	-- shifting stars overlay
	LoadActor("stars.png") .. {
		OnCommand=cmd(diffusealpha,0;fadeleft,0.2;faderight,0.2;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;zoomtowidth,SCREEN_WIDTH*1.75;zoomtoheight,SCREEN_HEIGHT*1.75;blend,Blend.Add;sleep,6.058;diffusealpha,0;linear,0.477;diffusealpha,0.5;bob;effectmagnitude,SCREEN_WIDTH/6,100,0;effectperiod,18.464;sleep,59.811;linear,1;diffusealpha,0;);
	};
	
	-- fluttershy static overlay
	LoadActor("overlay.png") .. {
		OnCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;scale_or_crop_background;diffusealpha,0;sleep,6.058;decelerate,0.477;diffusealpha,1;sleep,55.385;);
	};
	
	-- song background final fade
	Def.Sprite {
		OnCommand=cmd(LoadFromCurrentSongBackground;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;scale_or_crop_background;diffusealpha,0;sleep,66.346;linear,2;diffusealpha,1;);
	};
	
	-- fade in lightening
	Def.Quad {
		OnCommand=cmd(diffusealpha,0;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;stretchto,0,0,SCREEN_WIDTH,SCREEN_HEIGHT;diffusealpha,0;blend,Blend.Add;sleep,4;diffuse,1,1,1,0;accelerate,2.058;diffusealpha,1;linear,0.477;diffusealpha,0;sleep,1;diffusealpha,0;);
	};
};

return t;